tests: scripts: make enabling of secp192 curves fault tolerant in test_psa_crypto_without_heap

This is temporary but still required in order to have this commit merged
before the crypto#570, where these curves are really removed.
These lines will be removed in a follow-up PR once crypto#570 is merged.

Signed-off-by: Valerio Setti <valerio.setti@nordicsemi.no>
diff --git a/tests/scripts/components-configuration-crypto.sh b/tests/scripts/components-configuration-crypto.sh
index 637dbd0..6ac6d17 100644
--- a/tests/scripts/components-configuration-crypto.sh
+++ b/tests/scripts/components-configuration-crypto.sh
@@ -92,11 +92,13 @@
     scripts/config.py unset-all "^PSA_WANT_ALG_RSA_"
     # EC-JPAKE use calloc/free in PSA core
     scripts/config.py unset PSA_WANT_ALG_JPAKE
-    # Enable p192[k|r]1 curves which are disabled by default in tf-psa-crypto.
-    # This is required to get the proper test coverage otherwise there are
-    # tests in 'test_suite_psa_crypto_op_fail' that would never be executed.
-    scripts/config.py set PSA_WANT_ECC_SECP_K1_192
-    scripts/config.py set PSA_WANT_ECC_SECP_R1_192
+    # Curves p192[k|r]1 were disabled by default in TF-PSA-Crypto 1.0 so they
+    # were enabled here in order to get full test coverage. Support for these
+    # curves has completely been removed, but due to interdependency between
+    # CIs (mbedtls vs tf-psa-crypto) we still need to keep these lines here for
+    # a while. They will be removed in #10518
+    scripts/config.py set PSA_WANT_ECC_SECP_K1_192 || true
+    scripts/config.py set PSA_WANT_ECC_SECP_R1_192 || true
     scripts/config.py set TF_PSA_CRYPTO_ALLOW_REMOVED_MECHANISMS || true
 
     # Accelerate all PSA features (which are still enabled in CRYPTO_CONFIG_H).